Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class XWPFRun

    java.lang.Object
      org.apache.poi.xwpf.usermodel.XWPFRun

Direct Known Subclasses:
  XWPFHyperlinkRun

    public class XWPFRun

extends java.lang.Object

XWPFRun object defines a region of text with a common set of properties

Author:
  Yegor Kozlov, Gregg Morris (gregg dot morris at gmail dot com) - added getColor(), setColor()

Constructor Summary
`XWPFRun(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR r, XWPFParagraph p)`

Method Summary
`void` | `addBreak()` Specifies that a break shall be placed at the current location in the run content.
`void` | `addBreak(BreakClear clear)` Specifies that a break shall be placed at the current location in the run content.
`void` | `addBreak(BreakType type)` Specifies that a break shall be placed at the current location in the run content.
`void` | `addCarriageReturn()` Specifies that a carriage return shall be placed at the current location in the run content.
`XWPFPicture` | `addPicture(java.io.InputStream pictureData, int pictureType, java.lang.String filename, int width, int height)` Adds a picture to the run.
`java.lang.String` | `getColor()` Get text color.
`org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR` | `getCTR()` Get the currently used CTR object
`XWPFDocument` | `getDocument()`
`java.util.List` | `getEmbeddedPictures()` Returns the embedded pictures of the run.
`java.lang.String` | `getFontFamily()` Specifies the fonts which shall be used to display the text contents of this run.
`int` | `getFontSize()` Specifies the font size which shall be applied to all non complex script characters in the contents of this run when displayed.
`XWPFParagraph` | `getParagraph()` Get the currenty referenced paragraph object
`java.lang.String` | `getPictureText()` Returns text embedded in pictures
`VerticalAlign` | `getSubscript()` Specifies the alignment which shall be applied to the contents of this run in relation to the default appearance of the run's text.
`java.lang.String` | `getText(int pos)` Return the string content of this text run
`int` | `getTextPosition()` This element specifies the amount by which text shall be raised or lowered for this run in relation to the default baseline of the surrounding non-positioned text.
`UnderlinePatterns` | `getUnderline()` Specifies that the contents of this run should be displayed along with an underline appearing directly below the character heigh
`boolean` | `isBold()` Whether the bold property shall be applied to all non-complex script characters in the contents of this run when displayed in a document
`boolean` | `isItalic()` Whether the italic property should be applied to all non-complex script characters in the contents of this run when displayed in a document.
`boolean` | `isStrike()` Specifies that the contents of this run shall be displayed with a single horizontal line through the center of the line.
`void` | `removeBreak()`
`void` | `removeCarriageReturn()`
`void` | `setBold(boolean value)` Whether the bold property shall be applied to all non-complex script characters in the contents of this run when displayed in a document.
`void` | `setColor(java.lang.String rgbStr)` Set text color.
`void` | `setFontFamily(java.lang.String fontFamily)` Specifies the fonts which shall be used to display the text contents of this run.
`void` | `setFontSize(int size)` Specifies the font size which shall be applied to all non complex script characters in the contents of this run when displayed.
`void` | `setItalic(boolean value)` Whether the bold property shall be applied to all non-complex script characters in the contents of this run when displayed in a document This formatting property is a toggle property, which specifies that its behavior differs between its use within a style definition and its use as direct formatting.
`void` | `setStrike(boolean value)` Specifies that the contents of this run shall be displayed with a single horizontal line through the center of the line.
`void` | `setSubscript(VerticalAlign valign)` Specifies the alignment which shall be applied to the contents of this run in relation to the default appearance of the run's text.
`void` | `setText(java.lang.String value)` Sets the text of this text run
`void` | `setText(java.lang.String value, int pos)` Sets the text of this text run in the
`void` | `setTextPosition(int val)` This element specifies the amount by which text shall be raised or lowered for this run in relation to the default baseline of the surrounding non-positioned text.
`void` | `setUnderline(UnderlinePatterns value)` Specifies that the contents of this run should be displayed along with an underline appearing directly below the character heigh If this element is not present, the default value is to leave the formatting applied at previous level in the style hierarchy.
`java.lang.String` | `toString()` Returns the string version of the text, with tabs and carriage returns in place of their xml equivalents.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XWPFRun

    public XWPFRun(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR r,
                   XWPFParagraph p)

Parameters:
  `r` - the CTR bean which holds the run attributes
  `p` - the parent paragraph

Method Detail

### getCTR

    public org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR getCTR()

  Get the currently used CTR object

  Returns:
    ctr object

### getParagraph

    public XWPFParagraph getParagraph()

  Get the currenty referenced paragraph object

  Returns:
    current paragraph

### getDocument

    public XWPFDocument getDocument()

  Returns:
    The `XWPFDocument` instance, this run belongs to, or `null` if parent structure (paragraph > document) is not properly set.

### isBold

    public boolean isBold()

  Whether the bold property shall be applied to all non-complex script characters in the contents of this run when displayed in a document

  Returns:
    `true` if the bold property is applied

### setBold

    public void setBold(boolean value)

  Whether the bold property shall be applied to all non-complex script characters in the contents of this run when displayed in a document.

  This formatting property is a toggle property, which specifies that its behavior differs between its use within a style definition and its use as direct formatting. When used as part of a style definition, setting this property shall toggle the current state of that property as specified up to this point in the hierarchy (i.e. applied to not applied, and vice versa). Setting it to `false` (or an equivalent) shall result in the current setting remaining unchanged. However, when used as direct formatting, setting this property to true or false shall set the absolute state of the resulting property.

  If this element is not present, the default value is to leave the formatting applied at previous level in the style hierarchy. If this element is never applied in the style hierarchy, then bold shall not be applied to non-complex script characters.

  Parameters:
    `value` - `true` if the bold property is applied to this run

### getColor

    public java.lang.String getColor()

  Get text color. The returned value is a string in the hex form "RRGGBB".

### setColor

    public void setColor(java.lang.String rgbStr)

  Set text color.

  Parameters:
    `rgbStr` - - the desired color, in the hex form "RRGGBB".

### getText

    public java.lang.String getText(int pos)

  Return the string content of this text run

  Returns:
    the text of this text run or `null` if not set

### getPictureText

    public java.lang.String getPictureText()

  Returns text embedded in pictures

### setText

    public void setText(java.lang.String value)

  Sets the text of this text run

  Parameters:
    `value` - the literal text which shall be displayed in the document

### setText

    public void setText(java.lang.String value,
                        int pos)

  Sets the text of this text run in the

  Parameters:
    `value` - the literal text which shall be displayed in the document
    `pos` - - position in the text array (NB: 0 based)

### isItalic

    public boolean isItalic()

  Whether the italic property should be applied to all non-complex script characters in the contents of this run when displayed in a document.

  Returns:
    `true` if the italic property is applied

### setItalic

    public void setItalic(boolean value)

  Whether the bold property shall be applied to all non-complex script characters in the contents of this run when displayed in a document

  This formatting property is a toggle property, which specifies that its behavior differs between its use within a style definition and its use as direct formatting. When used as part of a style definition, setting this property shall toggle the current state of that property as specified up to this point in the hierarchy (i.e. applied to not applied, and vice versa). Setting it to `false` (or an equivalent) shall result in the current setting remaining unchanged. However, when used as direct formatting, setting this property to true or false shall set the absolute state of the resulting property.

  If this element is not present, the default value is to leave the formatting applied at previous level in the style hierarchy. If this element is never applied in the style hierarchy, then bold shall not be applied to non-complex script characters.

  Parameters:
    `value` - `true` if the italic property is applied to this run

### getUnderline

    public UnderlinePatterns getUnderline()

  Specifies that the contents of this run should be displayed along with an underline appearing directly below the character heigh

  Returns:
    the Underline pattern applyed to this run
  See Also:
    `UnderlinePatterns`

### setUnderline

    public void setUnderline(UnderlinePatterns value)

  Specifies that the contents of this run should be displayed along with an underline appearing directly below the character heigh

  If this element is not present, the default value is to leave the formatting applied at previous level in the style hierarchy. If this element is never applied in the style hierarchy, then an underline shall not be applied to the contents of this run.

  Parameters:
    `value` - - underline type
  See Also:
    `: all possible patterns that could be applied`

### isStrike

    public boolean isStrike()

  Specifies that the contents of this run shall be displayed with a single horizontal line through the center of the line.

  Returns:
    `true` if the strike property is applied

### setStrike

    public void setStrike(boolean value)

  Specifies that the contents of this run shall be displayed with a single horizontal line through the center of the line.

  This formatting property is a toggle property, which specifies that its behavior differs between its use within a style definition and its use as direct formatting. When used as part of a style definition, setting this property shall toggle the current state of that property as specified up to this point in the hierarchy (i.e. applied to not applied, and vice versa). Setting it to false (or an equivalent) shall result in the current setting remaining unchanged. However, when used as direct formatting, setting this property to true or false shall set the absolute state of the resulting property.

  If this element is not present, the default value is to leave the formatting applied at previous level in the style hierarchy. If this element is never applied in the style hierarchy, then strikethrough shall not be applied to the contents of this run.

  Parameters:
    `value` - `true` if the strike property is applied to this run

### getSubscript

    public VerticalAlign getSubscript()

  Specifies the alignment which shall be applied to the contents of this run in relation to the default appearance of the run's text. This allows the text to be repositioned as subscript or superscript without altering the font size of the run properties.

  Returns:
    VerticalAlign
  See Also:
    `all possible value that could be applyed to this run`

### setSubscript

    public void setSubscript(VerticalAlign valign)

  Specifies the alignment which shall be applied to the contents of this run in relation to the default appearance of the run's text. This allows the text to be repositioned as subscript or superscript without altering the font size of the run properties.

  If this element is not present, the default value is to leave the formatting applied at previous level in the style hierarchy. If this element is never applied in the style hierarchy, then the text shall not be subscript or superscript relative to the default baseline location for the contents of this run.

  Parameters:
    `valign` -
  See Also:
    `VerticalAlign`

### getFontFamily

    public java.lang.String getFontFamily()

  Specifies the fonts which shall be used to display the text contents of this run. Specifies a font which shall be used to format all characters in the ASCII range (0 - 127) within the parent run

  Returns:
    a string representing the font family

### setFontFamily

    public void setFontFamily(java.lang.String fontFamily)

  Specifies the fonts which shall be used to display the text contents of this run. Specifies a font which shall be used to format all characters in the ASCII range (0 - 127) within the parent run

  Parameters:
    `fontFamily` -

### getFontSize

    public int getFontSize()

  Specifies the font size which shall be applied to all non complex script characters in the contents of this run when displayed.

  Returns:
    value representing the font size

### setFontSize

    public void setFontSize(int size)

  Specifies the font size which shall be applied to all non complex script characters in the contents of this run when displayed.

  If this element is not present, the default value is to leave the value applied at previous level in the style hierarchy. If this element is never applied in the style hierarchy, then any appropriate font size may be used for non complex script characters.

  Parameters:
    `size` -

### getTextPosition

    public int getTextPosition()

  This element specifies the amount by which text shall be raised or lowered for this run in relation to the default baseline of the surrounding non-positioned text. This allows the text to be repositioned without altering the font size of the contents.

  Returns:
    a big integer representing the amount of text shall be "moved"

### setTextPosition

    public void setTextPosition(int val)

  This element specifies the amount by which text shall be raised or lowered for this run in relation to the default baseline of the surrounding non-positioned text. This allows the text to be repositioned without altering the font size of the contents.

  If the val attribute is positive, then the parent run shall be raised above the baseline of the surrounding text by the specified number of half-points. If the val attribute is negative, then the parent run shall be lowered below the baseline of the surrounding text by the specified number of half-points.

  If this element is not present, the default value is to leave the formatting applied at previous level in the style hierarchy. If this element is never applied in the style hierarchy, then the text shall not be raised or lowered relative to the default baseline location for the contents of this run.

  Parameters:
    `val` -

### removeBreak

    public void removeBreak()

### addBreak

    public void addBreak()

  Specifies that a break shall be placed at the current location in the run content. A break is a special character which is used to override the normal line breaking that would be performed based on the normal layout of the document's contents.

  See Also:
    `addCarriageReturn()`

### addBreak

    public void addBreak(BreakType type)

  Specifies that a break shall be placed at the current location in the run content. A break is a special character which is used to override the normal line breaking that would be performed based on the normal layout of the document's contents.

  The behavior of this break character (the location where text shall be restarted after this break) shall be determined by its type values.

  See Also:
    `BreakType`

### addBreak

    public void addBreak(BreakClear clear)

  Specifies that a break shall be placed at the current location in the run content. A break is a special character which is used to override the normal line breaking that would be performed based on the normal layout of the document's contents.

  The behavior of this break character (the location where text shall be restarted after this break) shall be determined by its type (in this case is BreakType.TEXT_WRAPPING as default) and clear attribute values.

  See Also:
    `BreakClear`

### addCarriageReturn

    public void addCarriageReturn()

  Specifies that a carriage return shall be placed at the current location in the run content. A carriage return is used to end the current line of text in Wordprocess. The behavior of a carriage return in run content shall be identical to a break character with null type and clear attributes, which shall end the current line and find the next available line on which to continue. The carriage return character forced the following text to be restarted on the next available line in the document.

### removeCarriageReturn

    public void removeCarriageReturn()

### addPicture

    public XWPFPicture addPicture(java.io.InputStream pictureData,
                                  int pictureType,
                                  java.lang.String filename,
                                  int width,
                                  int height)
                           throws InvalidFormatException,
                                  java.io.IOException

  Adds a picture to the run. This method handles attaching the picture data to the overall file.

  Parameters:
    `pictureData` - The raw picture data
    `pictureType` - The type of the picture, eg `Document.PICTURE_TYPE_JPEG`
    `image` - width in EMUs. To convert to / from points use `Units`
    `image` - height in EMUs. To convert to / from points use `Units`
  Throws:
    `InvalidFormatException`
    `java.io.IOException`
  See Also:
    `Document.PICTURE_TYPE_EMF`, `Document.PICTURE_TYPE_WMF`, `Document.PICTURE_TYPE_PICT`, `Document.PICTURE_TYPE_JPEG`, `Document.PICTURE_TYPE_PNG`, `Document.PICTURE_TYPE_DIB`

### getEmbeddedPictures

    public java.util.List getEmbeddedPictures()

  Returns the embedded pictures of the run. These are pictures which reference an external, embedded picture image such as a .png or .jpg

### toString

    public java.lang.String toString()

  Returns the string version of the text, with tabs and carriage returns in place of their xml equivalents.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD